Name:           amiws
Version:        2.3.2
Release:        1%{?dist}
Summary:        Asterisk Manager Interface (AMI) to web-socket proxy
Group:          Network/Communications
License:        GPLv3
URL:            https://github.com/staskobzar/amiws
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  libyaml-devel
BuildRequires:  openssl-devel
Requires:       libyaml
Requires:       openssl
%if 0%{?rhel} < 7 
BuildRequires:     initscripts
Requires(post):    initscripts
Requires(preun):   initscripts
%else
BuildRequires:     systemd
Requires(post):    systemd
Requires(preun):   systemd
Requires(postun):  systemd
%endif


%description
amiws is simple proxy from AMI to WEB. It can connect to one or more Asterisk
PBXs via AMI (Asterisk Manager Interface), read messages from AMI stream and send
actions/commands to it. Received messages are parsed and converted to JSON. amiws
also provides HTTP/WebSocket interface and sends JSON messages to all connected
users via HTTP.


%prep
%setup -q
aclocal
autoheader
automake --foreign --add-missing
autoreconf --force --install


%build
%configure --with-ssl
make %{?_smp_mflags}
make %{?_smp_mflags} doc


%install
rm -rf $RPM_BUILD_ROOT
%make_install
%if 0%{?rhel} < 7
mkdir -p %{buildroot}%{_initddir}
install -p -m 0755 etc/%{name}.sysv.init %{buildroot}%{_initddir}/%{name}
%else
mkdir -p %{buildroot}%{_unitdir}
install -p -m 0755 etc/%{name}.service %{buildroot}%{_unitdir}/%{name}.service
%endif
mkdir -p %{buildroot}%{_sysconfdir}
install -p -m 0644 etc/%{name}.annotated.yaml %{buildroot}%{_sysconfdir}/%{name}.yaml


%clean
rm -rf %{buildroot}


%if 0%{?rhel} < 7
%post
%systemd_post %{name}.service


%preun
%systemd_preun %{name}.service


%postun
%systemd_postun_with_restart %{name}.service
%else
%post
/sbin/chkconfig --add %{name}
/sbin/service %{name} condrestart || :


%preun
if [ $1 -eq 0 ]; then
    /sbin/service %{name} stop || :
    /sbin/chkconfig --del %{name}
fi
%endif


%files
%defattr(-,root,root,-)
%doc COPYING README.md etc/amiws.annotated.yaml etc/amiws.sample.yaml doc/html web_root web_root_vue
%config(noreplace) %{_sysconfdir}/%{name}.yaml
%if 0%{?rhel} < 7
%{_initddir}/%{name}
%else
%{_unitdir}/%{name}.service
%endif
%{_bindir}/%{name}


%changelog
* Thu Mar  9 2023 Ernani Azevedo <azevedo@voipdomain.io> - 2.3.2-1
- Updated to release 2.3.2

* Sat Jan 14 2023 Ernani Azevedo <azevedo@voipdomain.io> - 2.3.1-1
- Updated to release 2.3.1

* Sun Oct 15 2017 Ernani Azevedo <azevedo@voipdomain.io> - 2.2.1-1
- Initial build
